/**********************************************************************
  V~[VXe[^X\
  $Id: print_simstat.c,v 1.3 2002/11/03 03:57:36 tane Exp $
**********************************************************************/
#include "common.h"
#include "ppcsim.h"
#include "processor.h"
#include "funcs.h"
#include "memory.h"
#include "op_exec.h"

#define retstat(a) ((a==ENABLE)? "ENABLE" : (a==DISABLE) ? "DISABLE" : "UNDEFINED")

void print_simstat()
{
  SYSMSG("---Exception simulate status---\n") ;
  SYSMSG("0x0100(system_reset)               = %s\n", retstat(excp_stat.e0100.stat)) ;
  SYSMSG("0x0200(machine check)              = %s\n", retstat(excp_stat.e0200.stat)) ;
  SYSMSG("0x0300(data access)                = %s\n", retstat(excp_stat.e0300.stat)) ;
  SYSMSG("0x0400(instruction access)         = %s\n", retstat(excp_stat.e0400.stat)) ;
  SYSMSG("0x0500(external interrupt)         = %s\n", retstat(excp_stat.e0500.stat)) ;
  SYSMSG("0x0600(alignment)                  = %s\n", retstat(excp_stat.e0600.stat)) ;
  SYSMSG("0x0700(program)                    = %s\n", retstat(excp_stat.e0700.stat)) ;
  SYSMSG("0x0800(floating point unavailable) = %s\n", retstat(excp_stat.e0800.stat)) ;
  SYSMSG("0x0900(decrementer)                = %s\n", retstat(excp_stat.e0900.stat)) ;
  SYSMSG("0x0c00(system call)                = %s\n", retstat(excp_stat.e0c00.stat)) ;
  SYSMSG("0x0d00(trace)                      = %s\n", retstat(excp_stat.e0d00.stat)) ;
  SYSMSG("0x0e00(floating point assist)      = %s\n", retstat(excp_stat.e0e00.stat)) ;
  SYSMSG("0x2f00(ppcsim : divided by zero )  = %s\n", retstat(excp_stat.e2f00.stat)) ;
}
